#ifndef _RFM12CONF_H
#define _RFM12CONF_H

/*---------------------------------------------------------------------------*/
/* Configuration for Microchip C18 Compiler                                  */
/*---------------------------------------------------------------------------*/
#if defined(__18CXX)
#include <p18cxxx.h>

/* set I/O direction for pins used for controlling RFM12 */
#define RFM12_PinInit()     LATD &= 0x1F; TRISD &= 0x1F;

/* I/O pin controll functions */
#define RFM12_ClrSCK()      LATDbits.LATD7 = 0
#define RFM12_SetSCK()      LATDbits.LATD7 = 1
#define RFM12_ClrSDI()      LATDbits.LATD6 = 0
#define RFM12_SetSDI()      LATDbits.LATD6 = 1
#define RFM12_ClrNSEL()     LATDbits.LATD5 = 0
#define RFM12_SetNSEL()     LATDbits.LATD5 = 1
#define RFM12_GetSDO()      PORTDbits.RD4
#define RFM12_GetIRQ()      PORTDbits.RD3

#endif /* #if defined(__18CXX) */



/*---------------------------------------------------------------------------*/
/* Configuration for CCS C Compiler                                          */
/*---------------------------------------------------------------------------*/
#if (defined(__PCB__) || defined(__PCH__) || defined(__PCM__))

/* set I/O direction for pins used for controlling RFM12 */
#define RFM12_PinInit()     /* not required for CCS C Compiler */

/* I/O pin controll functions */
#define RFM12_ClrSCK()      output_low(PIN_D7)
#define RFM12_SetSCK()      output_high(PIN_D7)
#define RFM12_ClrSDI()      output_low(PIN_D6)
#define RFM12_SetSDI()      output_high(PIN_D6)
#define RFM12_ClrNSEL()     output_low(PIN_D5)
#define RFM12_SetNSEL()     output_high(PIN_D5)
#define RFM12_GetSDO()      input(PIN_D4)
#define RFM12_GetIRQ()      input(PIN_D3)

#endif /* (defined(__PCB__) || defined(__PCH__) || defined(__PCM__)) */

#endif /* #define _RFM12CONF_H */

